<?php 
    $wp_customize->add_section(
        'about_area',
        array(
            'title' => __( 'About Us Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );
    $wp_customize->add_setting(
        'about_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'about_area_disable',
            array(
                'settings'      => 'about_area_disable',
                'section'       => 'about_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 


backgroundManager($wp_customize, 'about', 'about_area', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');


lzCustomLable($wp_customize, 'aboutarea_padding', 'about_area', 'Set Section Padding:');

$wp_customize->add_setting(
    'about_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_areaTpadding',
    array(
        'settings'      => 'about_areaTpadding',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'about_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '8em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_areaBpadding',
    array(
        'settings'      => 'about_areaBpadding',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'luzuk-premium' )
    )
);
    $wp_customize->add_setting(
        'about_title_heading',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'about_title_heading',
            array(
                'settings'      => 'about_title_heading',
                'section'       => 'about_area',
                'label'         => __( 'Section Heading, Sub Heading', 'luzuk-premium' ),
            )
        )
    );    
    $wp_customize->add_setting(
        'about_subtitle',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Heading Here', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'about_subtitle',
        array(
            'settings'      => 'about_subtitle',
            'section'       => 'about_area',
            'type'          => 'text',
            'label'         => __( 'Section Sub Heading', 'luzuk-premium' )
        )
    );
addColorPalatOption($wp_customize, 'aboutarea_secsubtitle_color', 'about_area', 'Sub Heading Color ', '#09c567');

       $wp_customize->add_setting(
        'about_maintitle',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'ABOUT ME', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'about_maintitle',
        array(
            'settings'      => 'about_maintitle',
            'section'       => 'about_area',
            'type'          => 'text',
            'label'         => __( 'Section Heading', 'luzuk-premium' )
        )
    );
addColorPalatOption($wp_customize, 'aboutarea_sectitle_color', 'about_area', 'Section Heading Color ', '#002a45');

addColorPalatOption($wp_customize, 'aboutarea_sectitleborder_color_one', 'about_area', 'Section Heading Border Color ', '#09c567');


$wp_customize->add_setting(
        'about_image_heading',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'about_image_heading',
            array(
                'settings'      => 'about_image_heading',
                'section'       => 'about_area',
                'label'         => __( 'Section Image', 'luzuk-premium' ),
            )
        )
    );

      $wp_customize->add_setting(
        'about_image',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'about_image',
            array(
                'section' => 'about_area',
                'settings' => 'about_image',
                'description' => __('Recommended Image Size: 550X510px', 'luzuk-premium')
            )
        )
    );

addColorPalatOption($wp_customize, 'about_area_imghvcolor', 'about_area', 'Section Image Hover Color ', '#09c567');

addColorPalatOption($wp_customize, 'about_area_conbxcolor', 'about_area', 'Section Content Box Background Color ', '#fff');

addColorPalatOption($wp_customize, 'about_area_conbrdcolor', 'about_area', 'Section Content Box Border Color ', '#09c567');

$wp_customize->add_setting(
    'about_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Hi, I’m John Maker', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_title',
    array(
        'settings'      => 'about_title',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Section Title', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_area_title_color', 'about_area', 'Section Title Color ', '#002a45');

$wp_customize->add_setting(
    'about_post',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Chattar Accountant', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_post',
    array(
        'settings'      => 'about_post',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Section Post', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_area_postcolor', 'about_area', 'Section Post Color ', '#09c567');

$wp_customize->add_setting(
    'abut_country',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'United State', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'abut_country',
    array(
        'settings'      => 'abut_country',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Country Name', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_area_countrycolor', 'about_area', 'Country Name Color ', '#002a45');

$wp_customize->add_setting(
    'about_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Dolor sit amet, consectetur adipiscing elit. Vivamus eu pharetra ex. Etiam eget diam ligula. Sed at blandit ante. Vivamus feugiat, lacus eu suscipit mattis, tortor mi aliquam.', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_text',
    array(
        'settings'      => 'about_text',
        'section'       => 'about_area',
        'type'          => 'textarea',
        'label'         => __( 'Section Text', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_area_text', 'about_area', 'Section Text color', '#7f7f81');
